"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var Modal_1 = require("react-bootstrap/Modal");
var Button_1 = require("react-bootstrap/Button");
var react_i18next_1 = require("react-i18next");
var core_1 = require("@reactionable/core");
exports.Confirmation = function (props) {
    var t = react_i18next_1.useTranslation().t;
    return react_1.default.createElement(Modal_1.default, { show: true, size: "lg", "aria-labelledby": "contained-modal-title-vcenter", centered: true, onHide: function () { return props.callback(false); } },
        react_1.default.createElement(Modal_1.default.Header, { closeButton: true },
            react_1.default.createElement(Modal_1.default.Title, { id: "contained-modal-title-vcenter" }, t('Confirm ?'))),
        react_1.default.createElement(Modal_1.default.Body, null, props.children),
        react_1.default.createElement(Modal_1.default.Footer, null,
            react_1.default.createElement(Button_1.default, { variant: "outline-primary", onClick: function () { return props.callback(false); } }, t('Cancel')),
            react_1.default.createElement(Button_1.default, { variant: "primary", onClick: function () { return props.callback(true); } }, t('OK'))));
};
exports.useConfirmation = function (props) {
    props.Component = exports.Confirmation;
    return core_1.useConfirmation(props);
};
//# sourceMappingURL=Confirmation.js.map